Loading...
Searching...
No Matches
pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate Class Reference

nearestNeighborCandidate entry for the nearest neighbor candidate queue More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/nn/organized_neighbor_search.h>`

## Public Member Functions

| nearestNeighborCandidate ()
| Empty constructor.
bool | operator< (const nearestNeighborCandidate &rhs_arg) const
| Operator< for comparing nearestNeighborCandidate instances with each other.

## Public Attributes

int | index_
double | squared_distance_

## Detailed Description

template<typename PointT>
class pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate

nearestNeighborCandidate entry for the nearest neighbor candidate queue

Note
  This class defines entries for the nearest neighbor candidate queue

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 246 of file organized_neighbor_search.h.

## Constructor & Destructor Documentation

## nearestNeighborCandidate()

template<typename PointT>

pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate::nearestNeighborCandidate | ( |  | ) |

inline

Empty constructor.

Definition at line 251 of file organized_neighbor_search.h.

Referenced by operator<().

## Member Function Documentation

## operator<()

template<typename PointT>

bool pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate::operator< | ( | const nearestNeighborCandidate & | rhs_arg | ) | const

inline

Operator< for comparing nearestNeighborCandidate instances with each other.

Definition at line 256 of file organized_neighbor_search.h.

References nearestNeighborCandidate(), and squared_distance_.

## Member Data Documentation

## index_

template<typename PointT>

int pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate::index_

Definition at line 263 of file organized_neighbor_search.h.

Referenced by pcl::OrganizedNeighborSearch< PointT >::nearestKSearch().

## squared_distance_

template<typename PointT>

double pcl::OrganizedNeighborSearch< PointT >::nearestNeighborCandidate::squared_distance_

Definition at line 264 of file organized_neighbor_search.h.

Referenced by pcl::OrganizedNeighborSearch< PointT >::nearestKSearch(), and operator<().

The documentation for this class was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/cuda/nn/organized_neighbor_search.h